#*********************************************************************
#*** ResourcePool::Factory::Wrap::NoChecks
#*** Copyright (c) 2002 by Markus Winand <mws@fatalmind.com>
#*** $Id: NoChecks.pm,v 1.3 2003/01/04 11:20:31 mws Exp $
#*********************************************************************

package ResourcePool::Factory::Wrap::NoChecks;

use strict;
use ResourcePool::Factory::Wrap;
use ResourcePool::Resource::Wrap::NoChecks;
use vars qw($VERSION @ISA);

push @ISA, "ResourcePool::Factory::Wrap";
$VERSION = "1.0000";

sub create_resource($) {
	my ($self) = @_;
	my $res = ResourcePool::Resource::Wrap::NoChecks->new(
		$self->{fact}->create_resource()
	);
	return $res;
}

1;
